For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Request featuresContact support
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
  • Docs
    • Event types
    • Tariff
  • API Reference
        • GETGet default DNS config for an organization
        • POSTCreate default DNS config for an organization
        • DELDelete default DNS config for an organization
        • PATCHUpdate default DNS config for an organization
LogoLogo
Request featuresContact support
API ReferenceService Lookups and Configuration

Create default DNS config for an organization

POST
https://cdn.emnify.net/api/v1/organisation/:organisation_id/default_dns
POST
/api/v1/organisation/:organisation_id/default_dns
$curl -X POST https://cdn.emnify.net/api/v1/organisation/123/default_dns \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "dns_id": 111,
> "allow_overwrite": true
>}'
1{}
Creates a default DNS configuration for the specified organization. The `dns_id` must reference an existing DNS configuration object (created via [`POST /api/v1/dns`](/developers/api/service-lookups-and-configuration/dns-post)). When `allow_overwrite` is `true`, child organizations can override this default with their own DNS config. When `allow_overwrite` is `false`, child organizations inherit this config and cannot set their own. <Note> If a parent organization has set `allow_overwrite` to `false`, child organizations cannot create their own default DNS config. </Note> New service profiles created under this organization will automatically use the default DNS config unless explicitly overridden.
Was this page helpful?
Previous

Get default DNS config for an organization

Next

Delete default DNS config for an organization

Built with

Creates a default DNS configuration for the specified organization.

The dns_id must reference an existing DNS configuration object (created via POST /api/v1/dns). When allow_overwrite is true, child organizations can override this default with their own DNS config. When allow_overwrite is false, child organizations inherit this config and cannot set their own.

If a parent organization has set allow_overwrite to false, child organizations cannot create their own default DNS config.

New service profiles created under this organization will automatically use the default DNS config unless explicitly overridden.

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the POST request to /api/v1/authenticate.

Path parameters

organisation_idlongRequired
Organization ID

Request

This endpoint expects an object.
dns_idintegerRequired

ID of an existing DNS configuration object from /api/v1/dns.

allow_overwritebooleanOptionalDefaults to false

Whether child organizations can override this default DNS config. Defaults to false.

Response

Default DNS config successfully created.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error